---
- hosts: private_network
  tasks:
    - name: Update apt repo and cache.
      apt:
        update_cache: yes 
        force_apt_get: yes
      when: ansible_os_family == 'Debian'
      tags: [setup, apt]

    - name: Install and configure go migrate util.
      block:
        - name: Create folders for go migrate util.
          file:
            path: "{{ go_migrate.path }}/{{ go_migrate.version }}"
            state: directory
            recurse: true

        - name: Unarchive go migrate util artifact.
          unarchive:
            src: "{{ go_migrate.release_url }}/{{ go_migrate.version }}/{{ go_migrate.artifact_name }}"
            dest: "{{ go_migrate.path }}/{{ go_migrate.version }}"
            keep_newer: yes
            remote_src: true

        - name: Create a symbolic link go migrate util in /usr/bin.
          file:
            src: "{{ go_migrate.path }}/{{ go_migrate.version }}/migrate"
            dest: /usr/bin/migrate
            state: link
      when: install_go_migrate is defined and install_go_migrate == true
      tags: [setup, go_migrate]
...